Subject: bug#78290: closed (Re: bug#78290: dired-view-file not ready for non-ASCII subfile names)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 May 2025 18:54:02 +0000

Your bug report

#78290: dired-view-file not ready for non-ASCII subfile names

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78290: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78290
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78290: dired-view-file not ready for non-ASCII subfile names
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 07 May 2025 21:53:47 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> Date: Wed, 07 May 2025 15:22:35 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> Emacs' arc-mode.el currently doesn't support the Unicode Path Extra
> Field extension of the ZIP format, so we can only display the file
> name in the "DOS-compatible file name" field, which filters out
> characters which codepage 437 couldn't encode.  That's what you see.
> 
> Patches welcome to add support for this feature.

It turned out this was easy to add, so I've now done so on the master
branch.  This problem will therefore be solved in Emacs 31.

I'm closing the bug.

Subject: dired-view-file not ready for non-ASCII subfile names
From: Dan Jacobson <[email-masked]>
To: [email-masked]
Date: Wed, 07 May 2025 11:41:54 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Just the other day I hit
     v runs the command dired-view-file (found in dired-mode-map)
upon the attached street_name_groups.kmz file.
And I exclaimed (not out loud, but to myself, (under my breath)):
"Impossible. How could two files have the same name?"

M    Mode     Size       Date&time         Filename
- ----------  ----  --------------------  ----------------
  -rw-rw-rw-   549   7-May-2025 03:25:38  doc.kml
  drwxrwxrwx     0   7-May-2025 03:25:38  layers/
  -rw-rw-rw-   919   7-May-2025 03:25:38  layers/_SELECT.kml
  -rw-rw-rw-  1850   7-May-2025 03:25:38  layers/_SELECT.kml
- ----------  ----  --------------------  ----------------
              3318                         4 files

Ah, they don't.
$ lsar street_name_groups.kmz
street_name_groups.kmz: Zip
doc.kml
layers/
layers/安順_SELECT.kml
layers/崇德_SELECT.kml

emacs 30.1.